## Changes between Rasqal 0.9.23 and 0.9.24

### New functions, types and enums

Functions

- raptor_sequence* `rasqal_graph_pattern_get_flattened_triples`(rasqal_query* query, rasqal_graph_pattern* graph_pattern)

Types

- rasqal_update_graph_applies - Specifies scope that a rasqal_update applies to

Enums

- `RASQAL_UPDATE_TYPE_ADD` - SPARQL 1.1 Update ADD operation

- `RASQAL_UPDATE_TYPE_COPY` - SPARQL 1.1 Update COPY operation

- `RASQAL_UPDATE_TYPE_MOVE` - SPARQL 1.1 Update MOVE operation